Contract Accounting¶
Retrieves A Contract Accounting¶
HTTP Request
GET /api/v1/contract-accountings/{id}
📋 Description: Retrieves detailed accounting entries associated with a specific lease contract, providing insights into financial obligations and contract performance.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved the contract accounting |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 10000001,
8 "displayId": "1092983935-20250724-115809",
9 "principalPositionType": {
10 "name": "LESSEE",
11 "captionKey": "enum.principalpositiontype.lessee",
12 "caption": "Lessee"
13 },
14 "contractRate": 12,
15 "straightLineNonLeaseIncomeForPosting": false,
16 "compoundingFrequency": {
17 "name": "MONTHLY",
18 "captionKey": "enum.compoundingFrequency.monthly",
19 "length": 12,
20 "times": 12,
21 "caption": "Monthly"
22 },
23 "lessorPaymentReference": "string",
24 "trackCost": false,
25 "generateVendorInvoice": false,
26 "calculateTax": false,
27 "calendarType": {
28 "name": "_360",
29 "captionKey": "enum.calendarType.360",
30 "caption": "360 Convention"
31 },
32 "fiscalVariant": {
33 "id": 1001,
34 "displayId": "FV-2025",
35 "status": {
36 "name": "ACTIVE",
37 "captionKey": "enum.objectStatus.active",
38 "active": true,
39 "caption": "Active"
40 },
41 "isCalendarYear": true,
42 "yearDependent": false,
43 "erpSystemDisplayId": "SAP-ERP",
44 "isErpSystemDefault": true
45 },
46 "workBreakdownStructure": {
47 "id": 1001,
48 "displayId": "WBS-2025-001",
49 "status": {
50 "name": "ACTIVE",
51 "captionKey": "enum.objectStatus.active",
52 "active": true,
53 "caption": "Active"
54 },
55 "name": "Main Project WBS",
56 "erpSystemId": 0
57 },
58 "functionalArea": {
59 "id": 2001,
60 "displayId": "FA-2025-001",
61 "status": {
62 "name": "ACTIVE",
63 "captionKey": "enum.objectStatus.active",
64 "active": true,
65 "caption": "Active"
66 },
67 "name": "Accounting Department",
68 "erpSystemId": 0
69 },
70 "businessArea": {
71 "id": 3001,
72 "displayId": "BA-2025-001",
73 "status": {
74 "name": "ACTIVE",
75 "captionKey": "enum.objectStatus.active",
76 "active": true,
77 "caption": "Active"
78 },
79 "name": "North America Operations",
80 "erpSystemId": 0
81 },
82 "taxJurisdiction": {
83 "id": 4001,
84 "displayId": "TJ-2025-001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "California Tax Authority",
92 "erpSystemId": 0,
93 "schema": "string",
94 "countryDisplayId": "string"
95 },
96 "taxCode": {
97 "id": 5001,
98 "displayId": "TC-001",
99 "status": {
100 "name": "ACTIVE",
101 "captionKey": "enum.objectStatus.active",
102 "active": true,
103 "caption": "Active"
104 },
105 "name": "VAT Standard Rate",
106 "erpSystemId": 0
107 },
108 "paymentTerm": {
109 "id": 6001,
110 "displayId": "PT-2025-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Net 30 Days"
118 },
119 "paymentBlock": {
120 "id": 7001,
121 "displayId": "PB-001",
122 "status": {
123 "name": "ACTIVE",
124 "captionKey": "enum.objectStatus.active",
125 "active": true,
126 "caption": "Active"
127 },
128 "name": "Block A"
129 },
130 "paymentMethod": {
131 "id": 8001,
132 "displayId": "PM-001",
133 "status": {
134 "name": "ACTIVE",
135 "captionKey": "enum.objectStatus.active",
136 "active": true,
137 "caption": "Active"
138 },
139 "name": "Bank Transfer",
140 "type": "WIRE"
141 },
142 "profitCenter": {
143 "id": 9001,
144 "displayId": "PC-001",
145 "status": {
146 "name": "ACTIVE",
147 "captionKey": "enum.objectStatus.active",
148 "active": true,
149 "caption": "Active"
150 },
151 "name": "North Region Profit Center",
152 "validTo": "2025-12-31",
153 "erpSystemId": 101,
154 "erpSystemDisplayId": "SAP-01"
155 },
156 "network": {
157 "id": 10001,
158 "displayId": "NET-001",
159 "status": {
160 "name": "ACTIVE",
161 "captionKey": "enum.objectStatus.active",
162 "active": true,
163 "caption": "Active"
164 },
165 "name": "Global Network",
166 "erpSystemId": 0
167 },
168 "segment": {
169 "id": 11001,
170 "displayId": "SEG-001",
171 "status": {
172 "name": "ACTIVE",
173 "captionKey": "enum.objectStatus.active",
174 "active": true,
175 "caption": "Active"
176 },
177 "name": "Segment Alpha",
178 "erpSystemId": 0
179 },
180 "internalOrder": {
181 "id": 12001,
182 "displayId": "IO-001",
183 "status": {
184 "name": "ACTIVE",
185 "captionKey": "enum.objectStatus.active",
186 "active": true,
187 "caption": "Active"
188 },
189 "name": "Internal Order A",
190 "erpSystemId": 0,
191 "internalOrderTypeId": 0
192 },
193 "internalOrderType": {
194 "id": 13001,
195 "displayId": "IOT-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order Type A",
203 "erpSystemId": 0
204 },
205 "costCenter": {
206 "id": 14001,
207 "displayId": "CC-001",
208 "status": {
209 "name": "ACTIVE",
210 "captionKey": "enum.objectStatus.active",
211 "active": true,
212 "caption": "Active"
213 },
214 "name": "Cost Center A",
215 "erpSystemId": 0
216 },
217 "responsibleCostCenter": {
218 "id": 14001,
219 "displayId": "CC-001",
220 "status": {
221 "name": "ACTIVE",
222 "captionKey": "enum.objectStatus.active",
223 "active": true,
224 "caption": "Active"
225 },
226 "name": "Cost Center A",
227 "erpSystemId": 0
228 },
229 "contractId": 10000001,
230 "contractDisplayId": "CT-100000000",
231 "contractRevisionId": 10000001,
232 "taxCalculationType": "NET",
233 "transactionTypePosting": false,
234 "costCenterAllocations": [
235 {
236 "id": 10001,
237 "mainCostCenter": true,
238 "allocationPercentage": 75,
239 "costCenter": {
240 "id": 14001,
241 "displayId": "CC-001",
242 "status": {
243 "name": "ACTIVE",
244 "captionKey": "enum.objectStatus.active",
245 "active": true,
246 "caption": "Active"
247 },
248 "name": "Cost Center A",
249 "erpSystemId": 0
250 },
251 "profitCenter": {
252 "id": 9001,
253 "displayId": "PC-001",
254 "status": {
255 "name": "ACTIVE",
256 "captionKey": "enum.objectStatus.active",
257 "active": true,
258 "caption": "Active"
259 },
260 "name": "North Region Profit Center",
261 "validTo": "2025-12-31",
262 "erpSystemId": 101,
263 "erpSystemDisplayId": "SAP-01"
264 }
265 }
266 ],
267 "type": "LESSEE",
268 "numberRangeIdentifierValue": "COMP-0001",
269 "numberRangeIdentifierType": {
270 "name": "COMPANY_CODE"
271 },
272 "numberRangeType": {
273 "name": "CONTRACT"
274 },
275 "allowsSystemGenerateNewId": false
276 }
277}
Updates A Contract Accounting¶
HTTP Request
PUT /api/v1/contract-accountings/{id}
📋 Description: Updates the specified contract accounting entry in the Nakisa Lease Accounting Suite, allowing users to modify financial obligations associated with leases and contracts. This operation ensures accurate accounting records are maintained in alignment with business requirements.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
body |
body |
false |
Request body containing the updated financial obligation details and accounting entries associated with the specified lease contract. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Body Parameters
1{
2 "id": 10000001,
3 "displayId": "1092983935-20250724-115809",
4 "principalPositionType": {
5 "name": "LESSEE",
6 "captionKey": "enum.principalpositiontype.lessee",
7 "caption": "Lessee"
8 },
9 "contractRate": 12,
10 "straightLineNonLeaseIncomeForPosting": false,
11 "compoundingFrequency": {
12 "name": "MONTHLY",
13 "captionKey": "enum.compoundingFrequency.monthly",
14 "length": 12,
15 "times": 12,
16 "caption": "Monthly"
17 },
18 "lessorPaymentReference": "string",
19 "trackCost": false,
20 "generateVendorInvoice": false,
21 "calculateTax": false,
22 "calendarType": {
23 "name": "_360",
24 "captionKey": "enum.calendarType.360",
25 "caption": "360 Convention"
26 },
27 "fiscalVariant": {
28 "id": 1001,
29 "displayId": "FV-2025",
30 "status": {
31 "name": "ACTIVE",
32 "captionKey": "enum.objectStatus.active",
33 "active": true,
34 "caption": "Active"
35 },
36 "isCalendarYear": true,
37 "yearDependent": false,
38 "erpSystemDisplayId": "SAP-ERP",
39 "isErpSystemDefault": true
40 },
41 "workBreakdownStructure": {
42 "id": 1001,
43 "displayId": "WBS-2025-001",
44 "status": {
45 "name": "ACTIVE",
46 "captionKey": "enum.objectStatus.active",
47 "active": true,
48 "caption": "Active"
49 },
50 "name": "Main Project WBS",
51 "erpSystemId": 0
52 },
53 "functionalArea": {
54 "id": 2001,
55 "displayId": "FA-2025-001",
56 "status": {
57 "name": "ACTIVE",
58 "captionKey": "enum.objectStatus.active",
59 "active": true,
60 "caption": "Active"
61 },
62 "name": "Accounting Department",
63 "erpSystemId": 0
64 },
65 "businessArea": {
66 "id": 3001,
67 "displayId": "BA-2025-001",
68 "status": {
69 "name": "ACTIVE",
70 "captionKey": "enum.objectStatus.active",
71 "active": true,
72 "caption": "Active"
73 },
74 "name": "North America Operations",
75 "erpSystemId": 0
76 },
77 "taxJurisdiction": {
78 "id": 4001,
79 "displayId": "TJ-2025-001",
80 "status": {
81 "name": "ACTIVE",
82 "captionKey": "enum.objectStatus.active",
83 "active": true,
84 "caption": "Active"
85 },
86 "name": "California Tax Authority",
87 "erpSystemId": 0,
88 "schema": "string",
89 "countryDisplayId": "string"
90 },
91 "taxCode": {
92 "id": 5001,
93 "displayId": "TC-001",
94 "status": {
95 "name": "ACTIVE",
96 "captionKey": "enum.objectStatus.active",
97 "active": true,
98 "caption": "Active"
99 },
100 "name": "VAT Standard Rate",
101 "erpSystemId": 0
102 },
103 "paymentTerm": {
104 "id": 6001,
105 "displayId": "PT-2025-001",
106 "status": {
107 "name": "ACTIVE",
108 "captionKey": "enum.objectStatus.active",
109 "active": true,
110 "caption": "Active"
111 },
112 "name": "Net 30 Days"
113 },
114 "paymentBlock": {
115 "id": 7001,
116 "displayId": "PB-001",
117 "status": {
118 "name": "ACTIVE",
119 "captionKey": "enum.objectStatus.active",
120 "active": true,
121 "caption": "Active"
122 },
123 "name": "Block A"
124 },
125 "paymentMethod": {
126 "id": 8001,
127 "displayId": "PM-001",
128 "status": {
129 "name": "ACTIVE",
130 "captionKey": "enum.objectStatus.active",
131 "active": true,
132 "caption": "Active"
133 },
134 "name": "Bank Transfer",
135 "type": "WIRE"
136 },
137 "profitCenter": {
138 "id": 9001,
139 "displayId": "PC-001",
140 "status": {
141 "name": "ACTIVE",
142 "captionKey": "enum.objectStatus.active",
143 "active": true,
144 "caption": "Active"
145 },
146 "name": "North Region Profit Center",
147 "validTo": "2025-12-31",
148 "erpSystemId": 101,
149 "erpSystemDisplayId": "SAP-01"
150 },
151 "network": {
152 "id": 10001,
153 "displayId": "NET-001",
154 "status": {
155 "name": "ACTIVE",
156 "captionKey": "enum.objectStatus.active",
157 "active": true,
158 "caption": "Active"
159 },
160 "name": "Global Network",
161 "erpSystemId": 0
162 },
163 "segment": {
164 "id": 11001,
165 "displayId": "SEG-001",
166 "status": {
167 "name": "ACTIVE",
168 "captionKey": "enum.objectStatus.active",
169 "active": true,
170 "caption": "Active"
171 },
172 "name": "Segment Alpha",
173 "erpSystemId": 0
174 },
175 "internalOrder": {
176 "id": 12001,
177 "displayId": "IO-001",
178 "status": {
179 "name": "ACTIVE",
180 "captionKey": "enum.objectStatus.active",
181 "active": true,
182 "caption": "Active"
183 },
184 "name": "Internal Order A",
185 "erpSystemId": 0,
186 "internalOrderTypeId": 0
187 },
188 "internalOrderType": {
189 "id": 13001,
190 "displayId": "IOT-001",
191 "status": {
192 "name": "ACTIVE",
193 "captionKey": "enum.objectStatus.active",
194 "active": true,
195 "caption": "Active"
196 },
197 "name": "Internal Order Type A",
198 "erpSystemId": 0
199 },
200 "costCenter": {
201 "id": 14001,
202 "displayId": "CC-001",
203 "status": {
204 "name": "ACTIVE",
205 "captionKey": "enum.objectStatus.active",
206 "active": true,
207 "caption": "Active"
208 },
209 "name": "Cost Center A",
210 "erpSystemId": 0
211 },
212 "responsibleCostCenter": {
213 "id": 14001,
214 "displayId": "CC-001",
215 "status": {
216 "name": "ACTIVE",
217 "captionKey": "enum.objectStatus.active",
218 "active": true,
219 "caption": "Active"
220 },
221 "name": "Cost Center A",
222 "erpSystemId": 0
223 },
224 "contractId": 10000001,
225 "contractDisplayId": "CT-100000000",
226 "contractRevisionId": 10000001,
227 "taxCalculationType": "NET",
228 "transactionTypePosting": false,
229 "costCenterAllocations": [
230 {
231 "id": 10001,
232 "mainCostCenter": true,
233 "allocationPercentage": 75,
234 "costCenter": {
235 "id": 14001,
236 "displayId": "CC-001",
237 "status": {
238 "name": "ACTIVE",
239 "captionKey": "enum.objectStatus.active",
240 "active": true,
241 "caption": "Active"
242 },
243 "name": "Cost Center A",
244 "erpSystemId": 0
245 },
246 "profitCenter": {
247 "id": 9001,
248 "displayId": "PC-001",
249 "status": {
250 "name": "ACTIVE",
251 "captionKey": "enum.objectStatus.active",
252 "active": true,
253 "caption": "Active"
254 },
255 "name": "North Region Profit Center",
256 "validTo": "2025-12-31",
257 "erpSystemId": 101,
258 "erpSystemDisplayId": "SAP-01"
259 }
260 }
261 ],
262 "type": "LESSEE",
263 "numberRangeIdentifierValue": "COMP-0001",
264 "numberRangeIdentifierType": {
265 "name": "COMPANY_CODE"
266 },
267 "numberRangeType": {
268 "name": "CONTRACT"
269 },
270 "allowsSystemGenerateNewId": false
271}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Contract accounting successfully updated. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 10000001,
8 "displayId": "1092983935-20250724-115809",
9 "principalPositionType": {
10 "name": "LESSEE",
11 "captionKey": "enum.principalpositiontype.lessee",
12 "caption": "Lessee"
13 },
14 "contractRate": 12,
15 "straightLineNonLeaseIncomeForPosting": false,
16 "compoundingFrequency": {
17 "name": "MONTHLY",
18 "captionKey": "enum.compoundingFrequency.monthly",
19 "length": 12,
20 "times": 12,
21 "caption": "Monthly"
22 },
23 "lessorPaymentReference": "string",
24 "trackCost": false,
25 "generateVendorInvoice": false,
26 "calculateTax": false,
27 "calendarType": {
28 "name": "_360",
29 "captionKey": "enum.calendarType.360",
30 "caption": "360 Convention"
31 },
32 "fiscalVariant": {
33 "id": 1001,
34 "displayId": "FV-2025",
35 "status": {
36 "name": "ACTIVE",
37 "captionKey": "enum.objectStatus.active",
38 "active": true,
39 "caption": "Active"
40 },
41 "isCalendarYear": true,
42 "yearDependent": false,
43 "erpSystemDisplayId": "SAP-ERP",
44 "isErpSystemDefault": true
45 },
46 "workBreakdownStructure": {
47 "id": 1001,
48 "displayId": "WBS-2025-001",
49 "status": {
50 "name": "ACTIVE",
51 "captionKey": "enum.objectStatus.active",
52 "active": true,
53 "caption": "Active"
54 },
55 "name": "Main Project WBS",
56 "erpSystemId": 0
57 },
58 "functionalArea": {
59 "id": 2001,
60 "displayId": "FA-2025-001",
61 "status": {
62 "name": "ACTIVE",
63 "captionKey": "enum.objectStatus.active",
64 "active": true,
65 "caption": "Active"
66 },
67 "name": "Accounting Department",
68 "erpSystemId": 0
69 },
70 "businessArea": {
71 "id": 3001,
72 "displayId": "BA-2025-001",
73 "status": {
74 "name": "ACTIVE",
75 "captionKey": "enum.objectStatus.active",
76 "active": true,
77 "caption": "Active"
78 },
79 "name": "North America Operations",
80 "erpSystemId": 0
81 },
82 "taxJurisdiction": {
83 "id": 4001,
84 "displayId": "TJ-2025-001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "California Tax Authority",
92 "erpSystemId": 0,
93 "schema": "string",
94 "countryDisplayId": "string"
95 },
96 "taxCode": {
97 "id": 5001,
98 "displayId": "TC-001",
99 "status": {
100 "name": "ACTIVE",
101 "captionKey": "enum.objectStatus.active",
102 "active": true,
103 "caption": "Active"
104 },
105 "name": "VAT Standard Rate",
106 "erpSystemId": 0
107 },
108 "paymentTerm": {
109 "id": 6001,
110 "displayId": "PT-2025-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Net 30 Days"
118 },
119 "paymentBlock": {
120 "id": 7001,
121 "displayId": "PB-001",
122 "status": {
123 "name": "ACTIVE",
124 "captionKey": "enum.objectStatus.active",
125 "active": true,
126 "caption": "Active"
127 },
128 "name": "Block A"
129 },
130 "paymentMethod": {
131 "id": 8001,
132 "displayId": "PM-001",
133 "status": {
134 "name": "ACTIVE",
135 "captionKey": "enum.objectStatus.active",
136 "active": true,
137 "caption": "Active"
138 },
139 "name": "Bank Transfer",
140 "type": "WIRE"
141 },
142 "profitCenter": {
143 "id": 9001,
144 "displayId": "PC-001",
145 "status": {
146 "name": "ACTIVE",
147 "captionKey": "enum.objectStatus.active",
148 "active": true,
149 "caption": "Active"
150 },
151 "name": "North Region Profit Center",
152 "validTo": "2025-12-31",
153 "erpSystemId": 101,
154 "erpSystemDisplayId": "SAP-01"
155 },
156 "network": {
157 "id": 10001,
158 "displayId": "NET-001",
159 "status": {
160 "name": "ACTIVE",
161 "captionKey": "enum.objectStatus.active",
162 "active": true,
163 "caption": "Active"
164 },
165 "name": "Global Network",
166 "erpSystemId": 0
167 },
168 "segment": {
169 "id": 11001,
170 "displayId": "SEG-001",
171 "status": {
172 "name": "ACTIVE",
173 "captionKey": "enum.objectStatus.active",
174 "active": true,
175 "caption": "Active"
176 },
177 "name": "Segment Alpha",
178 "erpSystemId": 0
179 },
180 "internalOrder": {
181 "id": 12001,
182 "displayId": "IO-001",
183 "status": {
184 "name": "ACTIVE",
185 "captionKey": "enum.objectStatus.active",
186 "active": true,
187 "caption": "Active"
188 },
189 "name": "Internal Order A",
190 "erpSystemId": 0,
191 "internalOrderTypeId": 0
192 },
193 "internalOrderType": {
194 "id": 13001,
195 "displayId": "IOT-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order Type A",
203 "erpSystemId": 0
204 },
205 "costCenter": {
206 "id": 14001,
207 "displayId": "CC-001",
208 "status": {
209 "name": "ACTIVE",
210 "captionKey": "enum.objectStatus.active",
211 "active": true,
212 "caption": "Active"
213 },
214 "name": "Cost Center A",
215 "erpSystemId": 0
216 },
217 "responsibleCostCenter": {
218 "id": 14001,
219 "displayId": "CC-001",
220 "status": {
221 "name": "ACTIVE",
222 "captionKey": "enum.objectStatus.active",
223 "active": true,
224 "caption": "Active"
225 },
226 "name": "Cost Center A",
227 "erpSystemId": 0
228 },
229 "contractId": 10000001,
230 "contractDisplayId": "CT-100000000",
231 "contractRevisionId": 10000001,
232 "taxCalculationType": "NET",
233 "transactionTypePosting": false,
234 "costCenterAllocations": [
235 {
236 "id": 10001,
237 "mainCostCenter": true,
238 "allocationPercentage": 75,
239 "costCenter": {
240 "id": 14001,
241 "displayId": "CC-001",
242 "status": {
243 "name": "ACTIVE",
244 "captionKey": "enum.objectStatus.active",
245 "active": true,
246 "caption": "Active"
247 },
248 "name": "Cost Center A",
249 "erpSystemId": 0
250 },
251 "profitCenter": {
252 "id": 9001,
253 "displayId": "PC-001",
254 "status": {
255 "name": "ACTIVE",
256 "captionKey": "enum.objectStatus.active",
257 "active": true,
258 "caption": "Active"
259 },
260 "name": "North Region Profit Center",
261 "validTo": "2025-12-31",
262 "erpSystemId": 101,
263 "erpSystemDisplayId": "SAP-01"
264 }
265 }
266 ],
267 "type": "LESSEE",
268 "numberRangeIdentifierValue": "COMP-0001",
269 "numberRangeIdentifierType": {
270 "name": "COMPANY_CODE"
271 },
272 "numberRangeType": {
273 "name": "CONTRACT"
274 },
275 "allowsSystemGenerateNewId": false
276 }
277}
Patches A Contract Accounting¶
HTTP Request
PATCH /api/v1/contract-accountings/{id}
📋 Description: Updates the specified contract accounting entry to reflect changes in lease terms or financial obligations, ensuring accurate accounting records within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
body |
body |
false |
Request body containing updated financial obligation details and accounting entries related to the specified lease contract. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
body |
|
body |
Body Parameters
1{
2 "op": "replace",
3 "path": "/name",
4 "value": "patched contract"
5}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully patched contract accounting. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 10000001,
8 "displayId": "1092983935-20250724-115809",
9 "principalPositionType": {
10 "name": "LESSEE",
11 "captionKey": "enum.principalpositiontype.lessee",
12 "caption": "Lessee"
13 },
14 "contractRate": 12,
15 "straightLineNonLeaseIncomeForPosting": false,
16 "compoundingFrequency": {
17 "name": "MONTHLY",
18 "captionKey": "enum.compoundingFrequency.monthly",
19 "length": 12,
20 "times": 12,
21 "caption": "Monthly"
22 },
23 "lessorPaymentReference": "string",
24 "trackCost": false,
25 "generateVendorInvoice": false,
26 "calculateTax": false,
27 "calendarType": {
28 "name": "_360",
29 "captionKey": "enum.calendarType.360",
30 "caption": "360 Convention"
31 },
32 "fiscalVariant": {
33 "id": 1001,
34 "displayId": "FV-2025",
35 "status": {
36 "name": "ACTIVE",
37 "captionKey": "enum.objectStatus.active",
38 "active": true,
39 "caption": "Active"
40 },
41 "isCalendarYear": true,
42 "yearDependent": false,
43 "erpSystemDisplayId": "SAP-ERP",
44 "isErpSystemDefault": true
45 },
46 "workBreakdownStructure": {
47 "id": 1001,
48 "displayId": "WBS-2025-001",
49 "status": {
50 "name": "ACTIVE",
51 "captionKey": "enum.objectStatus.active",
52 "active": true,
53 "caption": "Active"
54 },
55 "name": "Main Project WBS",
56 "erpSystemId": 0
57 },
58 "functionalArea": {
59 "id": 2001,
60 "displayId": "FA-2025-001",
61 "status": {
62 "name": "ACTIVE",
63 "captionKey": "enum.objectStatus.active",
64 "active": true,
65 "caption": "Active"
66 },
67 "name": "Accounting Department",
68 "erpSystemId": 0
69 },
70 "businessArea": {
71 "id": 3001,
72 "displayId": "BA-2025-001",
73 "status": {
74 "name": "ACTIVE",
75 "captionKey": "enum.objectStatus.active",
76 "active": true,
77 "caption": "Active"
78 },
79 "name": "North America Operations",
80 "erpSystemId": 0
81 },
82 "taxJurisdiction": {
83 "id": 4001,
84 "displayId": "TJ-2025-001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "California Tax Authority",
92 "erpSystemId": 0,
93 "schema": "string",
94 "countryDisplayId": "string"
95 },
96 "taxCode": {
97 "id": 5001,
98 "displayId": "TC-001",
99 "status": {
100 "name": "ACTIVE",
101 "captionKey": "enum.objectStatus.active",
102 "active": true,
103 "caption": "Active"
104 },
105 "name": "VAT Standard Rate",
106 "erpSystemId": 0
107 },
108 "paymentTerm": {
109 "id": 6001,
110 "displayId": "PT-2025-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Net 30 Days"
118 },
119 "paymentBlock": {
120 "id": 7001,
121 "displayId": "PB-001",
122 "status": {
123 "name": "ACTIVE",
124 "captionKey": "enum.objectStatus.active",
125 "active": true,
126 "caption": "Active"
127 },
128 "name": "Block A"
129 },
130 "paymentMethod": {
131 "id": 8001,
132 "displayId": "PM-001",
133 "status": {
134 "name": "ACTIVE",
135 "captionKey": "enum.objectStatus.active",
136 "active": true,
137 "caption": "Active"
138 },
139 "name": "Bank Transfer",
140 "type": "WIRE"
141 },
142 "profitCenter": {
143 "id": 9001,
144 "displayId": "PC-001",
145 "status": {
146 "name": "ACTIVE",
147 "captionKey": "enum.objectStatus.active",
148 "active": true,
149 "caption": "Active"
150 },
151 "name": "North Region Profit Center",
152 "validTo": "2025-12-31",
153 "erpSystemId": 101,
154 "erpSystemDisplayId": "SAP-01"
155 },
156 "network": {
157 "id": 10001,
158 "displayId": "NET-001",
159 "status": {
160 "name": "ACTIVE",
161 "captionKey": "enum.objectStatus.active",
162 "active": true,
163 "caption": "Active"
164 },
165 "name": "Global Network",
166 "erpSystemId": 0
167 },
168 "segment": {
169 "id": 11001,
170 "displayId": "SEG-001",
171 "status": {
172 "name": "ACTIVE",
173 "captionKey": "enum.objectStatus.active",
174 "active": true,
175 "caption": "Active"
176 },
177 "name": "Segment Alpha",
178 "erpSystemId": 0
179 },
180 "internalOrder": {
181 "id": 12001,
182 "displayId": "IO-001",
183 "status": {
184 "name": "ACTIVE",
185 "captionKey": "enum.objectStatus.active",
186 "active": true,
187 "caption": "Active"
188 },
189 "name": "Internal Order A",
190 "erpSystemId": 0,
191 "internalOrderTypeId": 0
192 },
193 "internalOrderType": {
194 "id": 13001,
195 "displayId": "IOT-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order Type A",
203 "erpSystemId": 0
204 },
205 "costCenter": {
206 "id": 14001,
207 "displayId": "CC-001",
208 "status": {
209 "name": "ACTIVE",
210 "captionKey": "enum.objectStatus.active",
211 "active": true,
212 "caption": "Active"
213 },
214 "name": "Cost Center A",
215 "erpSystemId": 0
216 },
217 "responsibleCostCenter": {
218 "id": 14001,
219 "displayId": "CC-001",
220 "status": {
221 "name": "ACTIVE",
222 "captionKey": "enum.objectStatus.active",
223 "active": true,
224 "caption": "Active"
225 },
226 "name": "Cost Center A",
227 "erpSystemId": 0
228 },
229 "contractId": 10000001,
230 "contractDisplayId": "CT-100000000",
231 "contractRevisionId": 10000001,
232 "taxCalculationType": "NET",
233 "transactionTypePosting": false,
234 "costCenterAllocations": [
235 {
236 "id": 10001,
237 "mainCostCenter": true,
238 "allocationPercentage": 75,
239 "costCenter": {
240 "id": 14001,
241 "displayId": "CC-001",
242 "status": {
243 "name": "ACTIVE",
244 "captionKey": "enum.objectStatus.active",
245 "active": true,
246 "caption": "Active"
247 },
248 "name": "Cost Center A",
249 "erpSystemId": 0
250 },
251 "profitCenter": {
252 "id": 9001,
253 "displayId": "PC-001",
254 "status": {
255 "name": "ACTIVE",
256 "captionKey": "enum.objectStatus.active",
257 "active": true,
258 "caption": "Active"
259 },
260 "name": "North Region Profit Center",
261 "validTo": "2025-12-31",
262 "erpSystemId": 101,
263 "erpSystemDisplayId": "SAP-01"
264 }
265 }
266 ],
267 "type": "LESSEE",
268 "numberRangeIdentifierValue": "COMP-0001",
269 "numberRangeIdentifierType": {
270 "name": "COMPANY_CODE"
271 },
272 "numberRangeType": {
273 "name": "CONTRACT"
274 },
275 "allowsSystemGenerateNewId": false
276 }
277}
Updates Contract Accountings In Bulk¶
HTTP Request
PUT /api/v1/contract-accountings/bulk
📋 Description: Updates multiple contract accounting entries in bulk, allowing for efficient management of lease-related financial obligations within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing an array of lease contract accounting entries, including financial obligations and relevant metadata for bulk processing. |
Body Parameters
1[
2 {
3 "id": 10000001,
4 "displayId": "1092983935-20250724-115809",
5 "principalPositionType": {
6 "name": "LESSEE",
7 "captionKey": "enum.principalpositiontype.lessee",
8 "caption": "Lessee"
9 },
10 "contractRate": 12,
11 "straightLineNonLeaseIncomeForPosting": false,
12 "compoundingFrequency": {
13 "name": "MONTHLY",
14 "captionKey": "enum.compoundingFrequency.monthly",
15 "length": 12,
16 "times": 12,
17 "caption": "Monthly"
18 },
19 "lessorPaymentReference": "string",
20 "trackCost": false,
21 "generateVendorInvoice": false,
22 "calculateTax": false,
23 "calendarType": {
24 "name": "_360",
25 "captionKey": "enum.calendarType.360",
26 "caption": "360 Convention"
27 },
28 "fiscalVariant": {
29 "id": 1001,
30 "displayId": "FV-2025",
31 "status": {
32 "name": "ACTIVE",
33 "captionKey": "enum.objectStatus.active",
34 "active": true,
35 "caption": "Active"
36 },
37 "isCalendarYear": true,
38 "yearDependent": false,
39 "erpSystemDisplayId": "SAP-ERP",
40 "isErpSystemDefault": true
41 },
42 "workBreakdownStructure": {
43 "id": 1001,
44 "displayId": "WBS-2025-001",
45 "status": {
46 "name": "ACTIVE",
47 "captionKey": "enum.objectStatus.active",
48 "active": true,
49 "caption": "Active"
50 },
51 "name": "Main Project WBS",
52 "erpSystemId": 0
53 },
54 "functionalArea": {
55 "id": 2001,
56 "displayId": "FA-2025-001",
57 "status": {
58 "name": "ACTIVE",
59 "captionKey": "enum.objectStatus.active",
60 "active": true,
61 "caption": "Active"
62 },
63 "name": "Accounting Department",
64 "erpSystemId": 0
65 },
66 "businessArea": {
67 "id": 3001,
68 "displayId": "BA-2025-001",
69 "status": {
70 "name": "ACTIVE",
71 "captionKey": "enum.objectStatus.active",
72 "active": true,
73 "caption": "Active"
74 },
75 "name": "North America Operations",
76 "erpSystemId": 0
77 },
78 "taxJurisdiction": {
79 "id": 4001,
80 "displayId": "TJ-2025-001",
81 "status": {
82 "name": "ACTIVE",
83 "captionKey": "enum.objectStatus.active",
84 "active": true,
85 "caption": "Active"
86 },
87 "name": "California Tax Authority",
88 "erpSystemId": 0,
89 "schema": "string",
90 "countryDisplayId": "string"
91 },
92 "taxCode": {
93 "id": 5001,
94 "displayId": "TC-001",
95 "status": {
96 "name": "ACTIVE",
97 "captionKey": "enum.objectStatus.active",
98 "active": true,
99 "caption": "Active"
100 },
101 "name": "VAT Standard Rate",
102 "erpSystemId": 0
103 },
104 "paymentTerm": {
105 "id": 6001,
106 "displayId": "PT-2025-001",
107 "status": {
108 "name": "ACTIVE",
109 "captionKey": "enum.objectStatus.active",
110 "active": true,
111 "caption": "Active"
112 },
113 "name": "Net 30 Days"
114 },
115 "paymentBlock": {
116 "id": 7001,
117 "displayId": "PB-001",
118 "status": {
119 "name": "ACTIVE",
120 "captionKey": "enum.objectStatus.active",
121 "active": true,
122 "caption": "Active"
123 },
124 "name": "Block A"
125 },
126 "paymentMethod": {
127 "id": 8001,
128 "displayId": "PM-001",
129 "status": {
130 "name": "ACTIVE",
131 "captionKey": "enum.objectStatus.active",
132 "active": true,
133 "caption": "Active"
134 },
135 "name": "Bank Transfer",
136 "type": "WIRE"
137 },
138 "profitCenter": {
139 "id": 9001,
140 "displayId": "PC-001",
141 "status": {
142 "name": "ACTIVE",
143 "captionKey": "enum.objectStatus.active",
144 "active": true,
145 "caption": "Active"
146 },
147 "name": "North Region Profit Center",
148 "validTo": "2025-12-31",
149 "erpSystemId": 101,
150 "erpSystemDisplayId": "SAP-01"
151 },
152 "network": {
153 "id": 10001,
154 "displayId": "NET-001",
155 "status": {
156 "name": "ACTIVE",
157 "captionKey": "enum.objectStatus.active",
158 "active": true,
159 "caption": "Active"
160 },
161 "name": "Global Network",
162 "erpSystemId": 0
163 },
164 "segment": {
165 "id": 11001,
166 "displayId": "SEG-001",
167 "status": {
168 "name": "ACTIVE",
169 "captionKey": "enum.objectStatus.active",
170 "active": true,
171 "caption": "Active"
172 },
173 "name": "Segment Alpha",
174 "erpSystemId": 0
175 },
176 "internalOrder": {
177 "id": 12001,
178 "displayId": "IO-001",
179 "status": {
180 "name": "ACTIVE",
181 "captionKey": "enum.objectStatus.active",
182 "active": true,
183 "caption": "Active"
184 },
185 "name": "Internal Order A",
186 "erpSystemId": 0,
187 "internalOrderTypeId": 0
188 },
189 "internalOrderType": {
190 "id": 13001,
191 "displayId": "IOT-001",
192 "status": {
193 "name": "ACTIVE",
194 "captionKey": "enum.objectStatus.active",
195 "active": true,
196 "caption": "Active"
197 },
198 "name": "Internal Order Type A",
199 "erpSystemId": 0
200 },
201 "costCenter": {
202 "id": 14001,
203 "displayId": "CC-001",
204 "status": {
205 "name": "ACTIVE",
206 "captionKey": "enum.objectStatus.active",
207 "active": true,
208 "caption": "Active"
209 },
210 "name": "Cost Center A",
211 "erpSystemId": 0
212 },
213 "responsibleCostCenter": {
214 "id": 14001,
215 "displayId": "CC-001",
216 "status": {
217 "name": "ACTIVE",
218 "captionKey": "enum.objectStatus.active",
219 "active": true,
220 "caption": "Active"
221 },
222 "name": "Cost Center A",
223 "erpSystemId": 0
224 },
225 "contractId": 10000001,
226 "contractDisplayId": "CT-100000000",
227 "contractRevisionId": 10000001,
228 "taxCalculationType": "NET",
229 "transactionTypePosting": false,
230 "costCenterAllocations": [
231 {
232 "id": 10001,
233 "mainCostCenter": true,
234 "allocationPercentage": 75,
235 "costCenter": {
236 "id": 14001,
237 "displayId": "CC-001",
238 "status": {
239 "name": "ACTIVE",
240 "captionKey": "enum.objectStatus.active",
241 "active": true,
242 "caption": "Active"
243 },
244 "name": "Cost Center A",
245 "erpSystemId": 0
246 },
247 "profitCenter": {
248 "id": 9001,
249 "displayId": "PC-001",
250 "status": {
251 "name": "ACTIVE",
252 "captionKey": "enum.objectStatus.active",
253 "active": true,
254 "caption": "Active"
255 },
256 "name": "North Region Profit Center",
257 "validTo": "2025-12-31",
258 "erpSystemId": 101,
259 "erpSystemDisplayId": "SAP-01"
260 }
261 }
262 ],
263 "type": "LESSEE",
264 "numberRangeIdentifierValue": "COMP-0001",
265 "numberRangeIdentifierType": {
266 "name": "COMPANY_CODE"
267 },
268 "numberRangeType": {
269 "name": "CONTRACT"
270 },
271 "allowsSystemGenerateNewId": false
272 }
273]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
All contract accountings successfully updated. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": [
7 {
8 "id": 10000001,
9 "displayId": "1092983935-20250724-115809",
10 "principalPositionType": {
11 "name": "LESSEE",
12 "captionKey": "enum.principalpositiontype.lessee",
13 "caption": "Lessee"
14 },
15 "contractRate": 12,
16 "straightLineNonLeaseIncomeForPosting": false,
17 "compoundingFrequency": {
18 "name": "MONTHLY",
19 "captionKey": "enum.compoundingFrequency.monthly",
20 "length": 12,
21 "times": 12,
22 "caption": "Monthly"
23 },
24 "lessorPaymentReference": "string",
25 "trackCost": false,
26 "generateVendorInvoice": false,
27 "calculateTax": false,
28 "calendarType": {
29 "name": "_360",
30 "captionKey": "enum.calendarType.360",
31 "caption": "360 Convention"
32 },
33 "fiscalVariant": {
34 "id": 1001,
35 "displayId": "FV-2025",
36 "status": {
37 "name": "ACTIVE",
38 "captionKey": "enum.objectStatus.active",
39 "active": true,
40 "caption": "Active"
41 },
42 "isCalendarYear": true,
43 "yearDependent": false,
44 "erpSystemDisplayId": "SAP-ERP",
45 "isErpSystemDefault": true
46 },
47 "workBreakdownStructure": {
48 "id": 1001,
49 "displayId": "WBS-2025-001",
50 "status": {
51 "name": "ACTIVE",
52 "captionKey": "enum.objectStatus.active",
53 "active": true,
54 "caption": "Active"
55 },
56 "name": "Main Project WBS",
57 "erpSystemId": 0
58 },
59 "functionalArea": {
60 "id": 2001,
61 "displayId": "FA-2025-001",
62 "status": {
63 "name": "ACTIVE",
64 "captionKey": "enum.objectStatus.active",
65 "active": true,
66 "caption": "Active"
67 },
68 "name": "Accounting Department",
69 "erpSystemId": 0
70 },
71 "businessArea": {
72 "id": 3001,
73 "displayId": "BA-2025-001",
74 "status": {
75 "name": "ACTIVE",
76 "captionKey": "enum.objectStatus.active",
77 "active": true,
78 "caption": "Active"
79 },
80 "name": "North America Operations",
81 "erpSystemId": 0
82 },
83 "taxJurisdiction": {
84 "id": 4001,
85 "displayId": "TJ-2025-001",
86 "status": {
87 "name": "ACTIVE",
88 "captionKey": "enum.objectStatus.active",
89 "active": true,
90 "caption": "Active"
91 },
92 "name": "California Tax Authority",
93 "erpSystemId": 0,
94 "schema": "string",
95 "countryDisplayId": "string"
96 },
97 "taxCode": {
98 "id": 5001,
99 "displayId": "TC-001",
100 "status": {
101 "name": "ACTIVE",
102 "captionKey": "enum.objectStatus.active",
103 "active": true,
104 "caption": "Active"
105 },
106 "name": "VAT Standard Rate",
107 "erpSystemId": 0
108 },
109 "paymentTerm": {
110 "id": 6001,
111 "displayId": "PT-2025-001",
112 "status": {
113 "name": "ACTIVE",
114 "captionKey": "enum.objectStatus.active",
115 "active": true,
116 "caption": "Active"
117 },
118 "name": "Net 30 Days"
119 },
120 "paymentBlock": {
121 "id": 7001,
122 "displayId": "PB-001",
123 "status": {
124 "name": "ACTIVE",
125 "captionKey": "enum.objectStatus.active",
126 "active": true,
127 "caption": "Active"
128 },
129 "name": "Block A"
130 },
131 "paymentMethod": {
132 "id": 8001,
133 "displayId": "PM-001",
134 "status": {
135 "name": "ACTIVE",
136 "captionKey": "enum.objectStatus.active",
137 "active": true,
138 "caption": "Active"
139 },
140 "name": "Bank Transfer",
141 "type": "WIRE"
142 },
143 "profitCenter": {
144 "id": 9001,
145 "displayId": "PC-001",
146 "status": {
147 "name": "ACTIVE",
148 "captionKey": "enum.objectStatus.active",
149 "active": true,
150 "caption": "Active"
151 },
152 "name": "North Region Profit Center",
153 "validTo": "2025-12-31",
154 "erpSystemId": 101,
155 "erpSystemDisplayId": "SAP-01"
156 },
157 "network": {
158 "id": 10001,
159 "displayId": "NET-001",
160 "status": {
161 "name": "ACTIVE",
162 "captionKey": "enum.objectStatus.active",
163 "active": true,
164 "caption": "Active"
165 },
166 "name": "Global Network",
167 "erpSystemId": 0
168 },
169 "segment": {
170 "id": 11001,
171 "displayId": "SEG-001",
172 "status": {
173 "name": "ACTIVE",
174 "captionKey": "enum.objectStatus.active",
175 "active": true,
176 "caption": "Active"
177 },
178 "name": "Segment Alpha",
179 "erpSystemId": 0
180 },
181 "internalOrder": {
182 "id": 12001,
183 "displayId": "IO-001",
184 "status": {
185 "name": "ACTIVE",
186 "captionKey": "enum.objectStatus.active",
187 "active": true,
188 "caption": "Active"
189 },
190 "name": "Internal Order A",
191 "erpSystemId": 0,
192 "internalOrderTypeId": 0
193 },
194 "internalOrderType": {
195 "id": 13001,
196 "displayId": "IOT-001",
197 "status": {
198 "name": "ACTIVE",
199 "captionKey": "enum.objectStatus.active",
200 "active": true,
201 "caption": "Active"
202 },
203 "name": "Internal Order Type A",
204 "erpSystemId": 0
205 },
206 "costCenter": {
207 "id": 14001,
208 "displayId": "CC-001",
209 "status": {
210 "name": "ACTIVE",
211 "captionKey": "enum.objectStatus.active",
212 "active": true,
213 "caption": "Active"
214 },
215 "name": "Cost Center A",
216 "erpSystemId": 0
217 },
218 "responsibleCostCenter": {
219 "id": 14001,
220 "displayId": "CC-001",
221 "status": {
222 "name": "ACTIVE",
223 "captionKey": "enum.objectStatus.active",
224 "active": true,
225 "caption": "Active"
226 },
227 "name": "Cost Center A",
228 "erpSystemId": 0
229 },
230 "contractId": 10000001,
231 "contractDisplayId": "CT-100000000",
232 "contractRevisionId": 10000001,
233 "taxCalculationType": "NET",
234 "transactionTypePosting": false,
235 "costCenterAllocations": [
236 {
237 "id": 10001,
238 "mainCostCenter": true,
239 "allocationPercentage": 75,
240 "costCenter": {
241 "id": 14001,
242 "displayId": "CC-001",
243 "status": {
244 "name": "ACTIVE",
245 "captionKey": "enum.objectStatus.active",
246 "active": true,
247 "caption": "Active"
248 },
249 "name": "Cost Center A",
250 "erpSystemId": 0
251 },
252 "profitCenter": {
253 "id": 9001,
254 "displayId": "PC-001",
255 "status": {
256 "name": "ACTIVE",
257 "captionKey": "enum.objectStatus.active",
258 "active": true,
259 "caption": "Active"
260 },
261 "name": "North Region Profit Center",
262 "validTo": "2025-12-31",
263 "erpSystemId": 101,
264 "erpSystemDisplayId": "SAP-01"
265 }
266 }
267 ],
268 "type": "LESSEE",
269 "numberRangeIdentifierValue": "COMP-0001",
270 "numberRangeIdentifierType": {
271 "name": "COMPANY_CODE"
272 },
273 "numberRangeType": {
274 "name": "CONTRACT"
275 },
276 "allowsSystemGenerateNewId": false
277 }
278 ]
279}
Search Contract Accounting¶
HTTP Request
POST /api/v1/contract-accountings/search
📋 Description: Submits a search request to retrieve contract accounting entries related to leases and financial obligations, allowing for refined results based on specified criteria.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
body |
body |
false |
Request body containing search criteria and filters for retrieving lease and contract accounting entries related to financial obligations. |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 101,
4 102,
5 103
6 ],
7 "idEqual": 101,
8 "idLike": "101*",
9 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
10 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
11 "createdByLike": "admin*",
12 "createdByEqual": "system-user",
13 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
14 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
15 "modifiedByLike": "john*",
16 "modifiedByEqual": "john.doe",
17 "displayIdIn": [
18 "ACC-001",
19 "ACC-002"
20 ],
21 "displayIdLike": "ACC*",
22 "principalPositionTypeEqual": "LESSEE",
23 "compoundingFrequencyIn": [
24 "MONTHLY",
25 "ANNUALLY"
26 ],
27 "calendarTypeIn": [
28 "REGULAR_CALENDAR",
29 "FISCAL_VARIANT"
30 ],
31 "workBreakdownStructureIdIn": [
32 1001,
33 1002
34 ],
35 "workBreakdownStructureDisplayIdIn": [
36 "WBS-001",
37 "WBS-002"
38 ],
39 "functionalAreaIdIn": [
40 201,
41 202
42 ],
43 "functionalAreaDisplayIdIn": [
44 "FA-01",
45 "FA-02"
46 ],
47 "businessAreaIdIn": [
48 301,
49 302
50 ],
51 "businessAreaDisplayIdIn": [
52 "BA-01",
53 "BA-02"
54 ],
55 "taxJurisdictionIdIn": [
56 401,
57 402
58 ],
59 "taxJurisdictionDisplayIdIn": [
60 "TJ-01",
61 "TJ-02"
62 ],
63 "taxCodeIdIn": [
64 501,
65 502
66 ],
67 "taxCodeDisplayIdIn": [
68 "VAT-19",
69 "VAT-7"
70 ],
71 "paymentTermIdIn": [
72 601,
73 602
74 ],
75 "paymentTermDisplayIdIn": [
76 "PT-30",
77 "PT-60"
78 ],
79 "paymentBlockIdIn": [
80 701,
81 702
82 ],
83 "paymentBlockDisplayIdIn": [
84 "PB-01",
85 "PB-02"
86 ],
87 "paymentMethodIdIn": [
88 801,
89 802
90 ],
91 "paymentMethodDisplayIdIn": [
92 "PM-BANK",
93 "PM-CASH"
94 ],
95 "profitCenterIdIn": [
96 901,
97 902
98 ],
99 "profitCenterDisplayIdIn": [
100 "PC-01",
101 "PC-02"
102 ],
103 "networkIdIn": [
104 10001,
105 10002
106 ],
107 "networkDisplayIdIn": [
108 "NW-01",
109 "NW-02"
110 ],
111 "segmentIdIn": [
112 1101,
113 1102
114 ],
115 "segmentDisplayIdIn": [
116 "SEG-01",
117 "SEG-02"
118 ],
119 "internalOrderIdIn": [
120 1201,
121 1202
122 ],
123 "internalOrderDisplayIdIn": [
124 "IO-01",
125 "IO-02"
126 ],
127 "internalOrderTypeIdIn": [
128 1301,
129 1302
130 ],
131 "internalOrderTypeDisplayIdIn": [
132 "IOT-01",
133 "IOT-02"
134 ],
135 "costCenterIdIn": [
136 1401,
137 1402
138 ],
139 "costCenterDisplayIdIn": [
140 "CC-01",
141 "CC-02"
142 ],
143 "responsibleCostCenterIdIn": [
144 1501,
145 1502
146 ],
147 "responsibleCostCenterDisplayIdIn": [
148 "RCC-01",
149 "RCC-02"
150 ],
151 "contractIdIn": [
152 1601,
153 1602
154 ],
155 "contractDisplayIdIn": [
156 "C-2025-001",
157 "C-2025-002"
158 ],
159 "contractRevisionIdIn": [
160 1701,
161 1702
162 ],
163 "taxCalculationTypeIn": [
164 "NET"
165 ],
166 "type": "LEASE_ACCOUNTING"
167}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Search results successfully returned. |
Example Responses
1{
2 "totalElements": 76,
3 "totalPages": 1,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "size": 100,
18 "content": [
19 {
20 "id": 10000001,
21 "displayId": "1092983935-20250724-115809",
22 "principalPositionType": {
23 "name": "LESSEE",
24 "captionKey": "enum.principalpositiontype.lessee",
25 "caption": "Lessee"
26 },
27 "contractRate": 12,
28 "straightLineNonLeaseIncomeForPosting": false,
29 "compoundingFrequency": {
30 "name": "MONTHLY",
31 "captionKey": "enum.compoundingFrequency.monthly",
32 "length": 12,
33 "times": 12,
34 "caption": "Monthly"
35 },
36 "lessorPaymentReference": "string",
37 "trackCost": false,
38 "generateVendorInvoice": false,
39 "calculateTax": false,
40 "calendarType": {
41 "name": "_360",
42 "captionKey": "enum.calendarType.360",
43 "caption": "360 Convention"
44 },
45 "fiscalVariant": {
46 "id": 1001,
47 "displayId": "FV-2025",
48 "status": {
49 "name": "ACTIVE",
50 "captionKey": "enum.objectStatus.active",
51 "active": true,
52 "caption": "Active"
53 },
54 "isCalendarYear": true,
55 "yearDependent": false,
56 "erpSystemDisplayId": "SAP-ERP",
57 "isErpSystemDefault": true
58 },
59 "workBreakdownStructure": {
60 "id": 1001,
61 "displayId": "WBS-2025-001",
62 "status": {
63 "name": "ACTIVE",
64 "captionKey": "enum.objectStatus.active",
65 "active": true,
66 "caption": "Active"
67 },
68 "name": "Main Project WBS",
69 "erpSystemId": 0
70 },
71 "functionalArea": {
72 "id": 2001,
73 "displayId": "FA-2025-001",
74 "status": {
75 "name": "ACTIVE",
76 "captionKey": "enum.objectStatus.active",
77 "active": true,
78 "caption": "Active"
79 },
80 "name": "Accounting Department",
81 "erpSystemId": 0
82 },
83 "businessArea": {
84 "id": 3001,
85 "displayId": "BA-2025-001",
86 "status": {
87 "name": "ACTIVE",
88 "captionKey": "enum.objectStatus.active",
89 "active": true,
90 "caption": "Active"
91 },
92 "name": "North America Operations",
93 "erpSystemId": 0
94 },
95 "taxJurisdiction": {
96 "id": 4001,
97 "displayId": "TJ-2025-001",
98 "status": {
99 "name": "ACTIVE",
100 "captionKey": "enum.objectStatus.active",
101 "active": true,
102 "caption": "Active"
103 },
104 "name": "California Tax Authority",
105 "erpSystemId": 0,
106 "schema": "string",
107 "countryDisplayId": "string"
108 },
109 "taxCode": {
110 "id": 5001,
111 "displayId": "TC-001",
112 "status": {
113 "name": "ACTIVE",
114 "captionKey": "enum.objectStatus.active",
115 "active": true,
116 "caption": "Active"
117 },
118 "name": "VAT Standard Rate",
119 "erpSystemId": 0
120 },
121 "paymentTerm": {
122 "id": 6001,
123 "displayId": "PT-2025-001",
124 "status": {
125 "name": "ACTIVE",
126 "captionKey": "enum.objectStatus.active",
127 "active": true,
128 "caption": "Active"
129 },
130 "name": "Net 30 Days"
131 },
132 "paymentBlock": {
133 "id": 7001,
134 "displayId": "PB-001",
135 "status": {
136 "name": "ACTIVE",
137 "captionKey": "enum.objectStatus.active",
138 "active": true,
139 "caption": "Active"
140 },
141 "name": "Block A"
142 },
143 "paymentMethod": {
144 "id": 8001,
145 "displayId": "PM-001",
146 "status": {
147 "name": "ACTIVE",
148 "captionKey": "enum.objectStatus.active",
149 "active": true,
150 "caption": "Active"
151 },
152 "name": "Bank Transfer",
153 "type": "WIRE"
154 },
155 "profitCenter": {
156 "id": 9001,
157 "displayId": "PC-001",
158 "status": {
159 "name": "ACTIVE",
160 "captionKey": "enum.objectStatus.active",
161 "active": true,
162 "caption": "Active"
163 },
164 "name": "North Region Profit Center",
165 "validTo": "2025-12-31",
166 "erpSystemId": 101,
167 "erpSystemDisplayId": "SAP-01"
168 },
169 "network": {
170 "id": 10001,
171 "displayId": "NET-001",
172 "status": {
173 "name": "ACTIVE",
174 "captionKey": "enum.objectStatus.active",
175 "active": true,
176 "caption": "Active"
177 },
178 "name": "Global Network",
179 "erpSystemId": 0
180 },
181 "segment": {
182 "id": 11001,
183 "displayId": "SEG-001",
184 "status": {
185 "name": "ACTIVE",
186 "captionKey": "enum.objectStatus.active",
187 "active": true,
188 "caption": "Active"
189 },
190 "name": "Segment Alpha",
191 "erpSystemId": 0
192 },
193 "internalOrder": {
194 "id": 12001,
195 "displayId": "IO-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order A",
203 "erpSystemId": 0,
204 "internalOrderTypeId": 0
205 },
206 "internalOrderType": {
207 "id": 13001,
208 "displayId": "IOT-001",
209 "status": {
210 "name": "ACTIVE",
211 "captionKey": "enum.objectStatus.active",
212 "active": true,
213 "caption": "Active"
214 },
215 "name": "Internal Order Type A",
216 "erpSystemId": 0
217 },
218 "costCenter": {
219 "id": 14001,
220 "displayId": "CC-001",
221 "status": {
222 "name": "ACTIVE",
223 "captionKey": "enum.objectStatus.active",
224 "active": true,
225 "caption": "Active"
226 },
227 "name": "Cost Center A",
228 "erpSystemId": 0
229 },
230 "responsibleCostCenter": {
231 "id": 14001,
232 "displayId": "CC-001",
233 "status": {
234 "name": "ACTIVE",
235 "captionKey": "enum.objectStatus.active",
236 "active": true,
237 "caption": "Active"
238 },
239 "name": "Cost Center A",
240 "erpSystemId": 0
241 },
242 "contractId": 10000001,
243 "contractDisplayId": "CT-100000000",
244 "contractRevisionId": 10000001,
245 "taxCalculationType": "NET",
246 "transactionTypePosting": false,
247 "costCenterAllocations": [
248 {
249 "id": 10001,
250 "mainCostCenter": true,
251 "allocationPercentage": 75,
252 "costCenter": {
253 "id": 14001,
254 "displayId": "CC-001",
255 "status": {
256 "name": "ACTIVE",
257 "captionKey": "enum.objectStatus.active",
258 "active": true,
259 "caption": "Active"
260 },
261 "name": "Cost Center A",
262 "erpSystemId": 0
263 },
264 "profitCenter": {
265 "id": 9001,
266 "displayId": "PC-001",
267 "status": {
268 "name": "ACTIVE",
269 "captionKey": "enum.objectStatus.active",
270 "active": true,
271 "caption": "Active"
272 },
273 "name": "North Region Profit Center",
274 "validTo": "2025-12-31",
275 "erpSystemId": 101,
276 "erpSystemDisplayId": "SAP-01"
277 }
278 }
279 ],
280 "type": "LESSEE",
281 "numberRangeIdentifierValue": "COMP-0001",
282 "numberRangeIdentifierType": {
283 "name": "COMPANY_CODE"
284 },
285 "numberRangeType": {
286 "name": "CONTRACT"
287 },
288 "allowsSystemGenerateNewId": false
289 }
290 ],
291 "number": 0,
292 "sort": {
293 "unsorted": false,
294 "sorted": true,
295 "empty": false
296 },
297 "first": true,
298 "last": true,
299 "empty": false
300}
List All Contract Accounting¶
HTTP Request
GET /api/v1/contract-accountings
📋 Description: Retrieves contract accounting entries associated with leases, providing insights into financial obligations and facilitating effective accounting management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
false |
Indicates whether the results of the contract accountings query should be returned in a paginated format, facilitating efficient data retrieval for lease and financial obligation management. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved list of Contracts accounting. |
Example Responses
1{
2 "totalElements": 76,
3 "totalPages": 1,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "size": 100,
18 "content": [
19 {
20 "id": 10000001,
21 "displayId": "1092983935-20250724-115809",
22 "principalPositionType": {
23 "name": "LESSEE",
24 "captionKey": "enum.principalpositiontype.lessee",
25 "caption": "Lessee"
26 },
27 "contractRate": 12,
28 "straightLineNonLeaseIncomeForPosting": false,
29 "compoundingFrequency": {
30 "name": "MONTHLY",
31 "captionKey": "enum.compoundingFrequency.monthly",
32 "length": 12,
33 "times": 12,
34 "caption": "Monthly"
35 },
36 "lessorPaymentReference": "string",
37 "trackCost": false,
38 "generateVendorInvoice": false,
39 "calculateTax": false,
40 "calendarType": {
41 "name": "_360",
42 "captionKey": "enum.calendarType.360",
43 "caption": "360 Convention"
44 },
45 "fiscalVariant": {
46 "id": 1001,
47 "displayId": "FV-2025",
48 "status": {
49 "name": "ACTIVE",
50 "captionKey": "enum.objectStatus.active",
51 "active": true,
52 "caption": "Active"
53 },
54 "isCalendarYear": true,
55 "yearDependent": false,
56 "erpSystemDisplayId": "SAP-ERP",
57 "isErpSystemDefault": true
58 },
59 "workBreakdownStructure": {
60 "id": 1001,
61 "displayId": "WBS-2025-001",
62 "status": {
63 "name": "ACTIVE",
64 "captionKey": "enum.objectStatus.active",
65 "active": true,
66 "caption": "Active"
67 },
68 "name": "Main Project WBS",
69 "erpSystemId": 0
70 },
71 "functionalArea": {
72 "id": 2001,
73 "displayId": "FA-2025-001",
74 "status": {
75 "name": "ACTIVE",
76 "captionKey": "enum.objectStatus.active",
77 "active": true,
78 "caption": "Active"
79 },
80 "name": "Accounting Department",
81 "erpSystemId": 0
82 },
83 "businessArea": {
84 "id": 3001,
85 "displayId": "BA-2025-001",
86 "status": {
87 "name": "ACTIVE",
88 "captionKey": "enum.objectStatus.active",
89 "active": true,
90 "caption": "Active"
91 },
92 "name": "North America Operations",
93 "erpSystemId": 0
94 },
95 "taxJurisdiction": {
96 "id": 4001,
97 "displayId": "TJ-2025-001",
98 "status": {
99 "name": "ACTIVE",
100 "captionKey": "enum.objectStatus.active",
101 "active": true,
102 "caption": "Active"
103 },
104 "name": "California Tax Authority",
105 "erpSystemId": 0,
106 "schema": "string",
107 "countryDisplayId": "string"
108 },
109 "taxCode": {
110 "id": 5001,
111 "displayId": "TC-001",
112 "status": {
113 "name": "ACTIVE",
114 "captionKey": "enum.objectStatus.active",
115 "active": true,
116 "caption": "Active"
117 },
118 "name": "VAT Standard Rate",
119 "erpSystemId": 0
120 },
121 "paymentTerm": {
122 "id": 6001,
123 "displayId": "PT-2025-001",
124 "status": {
125 "name": "ACTIVE",
126 "captionKey": "enum.objectStatus.active",
127 "active": true,
128 "caption": "Active"
129 },
130 "name": "Net 30 Days"
131 },
132 "paymentBlock": {
133 "id": 7001,
134 "displayId": "PB-001",
135 "status": {
136 "name": "ACTIVE",
137 "captionKey": "enum.objectStatus.active",
138 "active": true,
139 "caption": "Active"
140 },
141 "name": "Block A"
142 },
143 "paymentMethod": {
144 "id": 8001,
145 "displayId": "PM-001",
146 "status": {
147 "name": "ACTIVE",
148 "captionKey": "enum.objectStatus.active",
149 "active": true,
150 "caption": "Active"
151 },
152 "name": "Bank Transfer",
153 "type": "WIRE"
154 },
155 "profitCenter": {
156 "id": 9001,
157 "displayId": "PC-001",
158 "status": {
159 "name": "ACTIVE",
160 "captionKey": "enum.objectStatus.active",
161 "active": true,
162 "caption": "Active"
163 },
164 "name": "North Region Profit Center",
165 "validTo": "2025-12-31",
166 "erpSystemId": 101,
167 "erpSystemDisplayId": "SAP-01"
168 },
169 "network": {
170 "id": 10001,
171 "displayId": "NET-001",
172 "status": {
173 "name": "ACTIVE",
174 "captionKey": "enum.objectStatus.active",
175 "active": true,
176 "caption": "Active"
177 },
178 "name": "Global Network",
179 "erpSystemId": 0
180 },
181 "segment": {
182 "id": 11001,
183 "displayId": "SEG-001",
184 "status": {
185 "name": "ACTIVE",
186 "captionKey": "enum.objectStatus.active",
187 "active": true,
188 "caption": "Active"
189 },
190 "name": "Segment Alpha",
191 "erpSystemId": 0
192 },
193 "internalOrder": {
194 "id": 12001,
195 "displayId": "IO-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order A",
203 "erpSystemId": 0,
204 "internalOrderTypeId": 0
205 },
206 "internalOrderType": {
207 "id": 13001,
208 "displayId": "IOT-001",
209 "status": {
210 "name": "ACTIVE",
211 "captionKey": "enum.objectStatus.active",
212 "active": true,
213 "caption": "Active"
214 },
215 "name": "Internal Order Type A",
216 "erpSystemId": 0
217 },
218 "costCenter": {
219 "id": 14001,
220 "displayId": "CC-001",
221 "status": {
222 "name": "ACTIVE",
223 "captionKey": "enum.objectStatus.active",
224 "active": true,
225 "caption": "Active"
226 },
227 "name": "Cost Center A",
228 "erpSystemId": 0
229 },
230 "responsibleCostCenter": {
231 "id": 14001,
232 "displayId": "CC-001",
233 "status": {
234 "name": "ACTIVE",
235 "captionKey": "enum.objectStatus.active",
236 "active": true,
237 "caption": "Active"
238 },
239 "name": "Cost Center A",
240 "erpSystemId": 0
241 },
242 "contractId": 10000001,
243 "contractDisplayId": "CT-100000000",
244 "contractRevisionId": 10000001,
245 "taxCalculationType": "NET",
246 "transactionTypePosting": false,
247 "costCenterAllocations": [
248 {
249 "id": 10001,
250 "mainCostCenter": true,
251 "allocationPercentage": 75,
252 "costCenter": {
253 "id": 14001,
254 "displayId": "CC-001",
255 "status": {
256 "name": "ACTIVE",
257 "captionKey": "enum.objectStatus.active",
258 "active": true,
259 "caption": "Active"
260 },
261 "name": "Cost Center A",
262 "erpSystemId": 0
263 },
264 "profitCenter": {
265 "id": 9001,
266 "displayId": "PC-001",
267 "status": {
268 "name": "ACTIVE",
269 "captionKey": "enum.objectStatus.active",
270 "active": true,
271 "caption": "Active"
272 },
273 "name": "North Region Profit Center",
274 "validTo": "2025-12-31",
275 "erpSystemId": 101,
276 "erpSystemDisplayId": "SAP-01"
277 }
278 }
279 ],
280 "type": "LESSEE",
281 "numberRangeIdentifierValue": "COMP-0001",
282 "numberRangeIdentifierType": {
283 "name": "COMPANY_CODE"
284 },
285 "numberRangeType": {
286 "name": "CONTRACT"
287 },
288 "allowsSystemGenerateNewId": false
289 }
290 ],
291 "number": 0,
292 "sort": {
293 "unsorted": false,
294 "sorted": true,
295 "empty": false
296 },
297 "first": true,
298 "last": true,
299 "empty": false
300}
Retrives Contract Accounting¶
HTTP Request
GET /api/v1/contract-accountings/contract/{contractRevisionId}
📋 Description: Retrieves detailed accounting entries associated with a specific contract revision, providing insights into financial obligations related to lease agreements within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
contractRevisionId |
path |
integer |
true |
Unique identifier for the contract revision |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
contractRevisionId |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully got the contract accounting. |
||
400 |
Invalid input |
None |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 10000001,
8 "displayId": "1092983935-20250724-115809",
9 "principalPositionType": {
10 "name": "LESSEE",
11 "captionKey": "enum.principalpositiontype.lessee",
12 "caption": "Lessee"
13 },
14 "contractRate": 12,
15 "straightLineNonLeaseIncomeForPosting": false,
16 "compoundingFrequency": {
17 "name": "MONTHLY",
18 "captionKey": "enum.compoundingFrequency.monthly",
19 "length": 12,
20 "times": 12,
21 "caption": "Monthly"
22 },
23 "lessorPaymentReference": "string",
24 "trackCost": false,
25 "generateVendorInvoice": false,
26 "calculateTax": false,
27 "calendarType": {
28 "name": "_360",
29 "captionKey": "enum.calendarType.360",
30 "caption": "360 Convention"
31 },
32 "fiscalVariant": {
33 "id": 1001,
34 "displayId": "FV-2025",
35 "status": {
36 "name": "ACTIVE",
37 "captionKey": "enum.objectStatus.active",
38 "active": true,
39 "caption": "Active"
40 },
41 "isCalendarYear": true,
42 "yearDependent": false,
43 "erpSystemDisplayId": "SAP-ERP",
44 "isErpSystemDefault": true
45 },
46 "workBreakdownStructure": {
47 "id": 1001,
48 "displayId": "WBS-2025-001",
49 "status": {
50 "name": "ACTIVE",
51 "captionKey": "enum.objectStatus.active",
52 "active": true,
53 "caption": "Active"
54 },
55 "name": "Main Project WBS",
56 "erpSystemId": 0
57 },
58 "functionalArea": {
59 "id": 2001,
60 "displayId": "FA-2025-001",
61 "status": {
62 "name": "ACTIVE",
63 "captionKey": "enum.objectStatus.active",
64 "active": true,
65 "caption": "Active"
66 },
67 "name": "Accounting Department",
68 "erpSystemId": 0
69 },
70 "businessArea": {
71 "id": 3001,
72 "displayId": "BA-2025-001",
73 "status": {
74 "name": "ACTIVE",
75 "captionKey": "enum.objectStatus.active",
76 "active": true,
77 "caption": "Active"
78 },
79 "name": "North America Operations",
80 "erpSystemId": 0
81 },
82 "taxJurisdiction": {
83 "id": 4001,
84 "displayId": "TJ-2025-001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "California Tax Authority",
92 "erpSystemId": 0,
93 "schema": "string",
94 "countryDisplayId": "string"
95 },
96 "taxCode": {
97 "id": 5001,
98 "displayId": "TC-001",
99 "status": {
100 "name": "ACTIVE",
101 "captionKey": "enum.objectStatus.active",
102 "active": true,
103 "caption": "Active"
104 },
105 "name": "VAT Standard Rate",
106 "erpSystemId": 0
107 },
108 "paymentTerm": {
109 "id": 6001,
110 "displayId": "PT-2025-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Net 30 Days"
118 },
119 "paymentBlock": {
120 "id": 7001,
121 "displayId": "PB-001",
122 "status": {
123 "name": "ACTIVE",
124 "captionKey": "enum.objectStatus.active",
125 "active": true,
126 "caption": "Active"
127 },
128 "name": "Block A"
129 },
130 "paymentMethod": {
131 "id": 8001,
132 "displayId": "PM-001",
133 "status": {
134 "name": "ACTIVE",
135 "captionKey": "enum.objectStatus.active",
136 "active": true,
137 "caption": "Active"
138 },
139 "name": "Bank Transfer",
140 "type": "WIRE"
141 },
142 "profitCenter": {
143 "id": 9001,
144 "displayId": "PC-001",
145 "status": {
146 "name": "ACTIVE",
147 "captionKey": "enum.objectStatus.active",
148 "active": true,
149 "caption": "Active"
150 },
151 "name": "North Region Profit Center",
152 "validTo": "2025-12-31",
153 "erpSystemId": 101,
154 "erpSystemDisplayId": "SAP-01"
155 },
156 "network": {
157 "id": 10001,
158 "displayId": "NET-001",
159 "status": {
160 "name": "ACTIVE",
161 "captionKey": "enum.objectStatus.active",
162 "active": true,
163 "caption": "Active"
164 },
165 "name": "Global Network",
166 "erpSystemId": 0
167 },
168 "segment": {
169 "id": 11001,
170 "displayId": "SEG-001",
171 "status": {
172 "name": "ACTIVE",
173 "captionKey": "enum.objectStatus.active",
174 "active": true,
175 "caption": "Active"
176 },
177 "name": "Segment Alpha",
178 "erpSystemId": 0
179 },
180 "internalOrder": {
181 "id": 12001,
182 "displayId": "IO-001",
183 "status": {
184 "name": "ACTIVE",
185 "captionKey": "enum.objectStatus.active",
186 "active": true,
187 "caption": "Active"
188 },
189 "name": "Internal Order A",
190 "erpSystemId": 0,
191 "internalOrderTypeId": 0
192 },
193 "internalOrderType": {
194 "id": 13001,
195 "displayId": "IOT-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order Type A",
203 "erpSystemId": 0
204 },
205 "costCenter": {
206 "id": 14001,
207 "displayId": "CC-001",
208 "status": {
209 "name": "ACTIVE",
210 "captionKey": "enum.objectStatus.active",
211 "active": true,
212 "caption": "Active"
213 },
214 "name": "Cost Center A",
215 "erpSystemId": 0
216 },
217 "responsibleCostCenter": {
218 "id": 14001,
219 "displayId": "CC-001",
220 "status": {
221 "name": "ACTIVE",
222 "captionKey": "enum.objectStatus.active",
223 "active": true,
224 "caption": "Active"
225 },
226 "name": "Cost Center A",
227 "erpSystemId": 0
228 },
229 "contractId": 10000001,
230 "contractDisplayId": "CT-100000000",
231 "contractRevisionId": 10000001,
232 "taxCalculationType": "NET",
233 "transactionTypePosting": false,
234 "costCenterAllocations": [
235 {
236 "id": 10001,
237 "mainCostCenter": true,
238 "allocationPercentage": 75,
239 "costCenter": {
240 "id": 14001,
241 "displayId": "CC-001",
242 "status": {
243 "name": "ACTIVE",
244 "captionKey": "enum.objectStatus.active",
245 "active": true,
246 "caption": "Active"
247 },
248 "name": "Cost Center A",
249 "erpSystemId": 0
250 },
251 "profitCenter": {
252 "id": 9001,
253 "displayId": "PC-001",
254 "status": {
255 "name": "ACTIVE",
256 "captionKey": "enum.objectStatus.active",
257 "active": true,
258 "caption": "Active"
259 },
260 "name": "North Region Profit Center",
261 "validTo": "2025-12-31",
262 "erpSystemId": 101,
263 "erpSystemDisplayId": "SAP-01"
264 }
265 }
266 ],
267 "type": "LESSEE",
268 "numberRangeIdentifierValue": "COMP-0001",
269 "numberRangeIdentifierType": {
270 "name": "COMPANY_CODE"
271 },
272 "numberRangeType": {
273 "name": "CONTRACT"
274 },
275 "allowsSystemGenerateNewId": false
276 }
277}